.class-search-date-time {
  font-size: 12px;
  margin-bottom: -20px;
  margin-top: 20px;
}

.class-search-icons i {
  position: absolute;
}

.icon {
  padding: 8px;
  right: 2%;
}

.list-icon {
  margin-right: 12px;
  width: 14px;
  text-align: center;
}

#dataTable.class-search {
  top: 0;
  padding: 0;
}

.new-class-search {
  margin: 15px 0 25px;
}

.collapsible-content {
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
  position: relative;
  box-sizing: border-box;
  -webkit-tap-highlight-color: transparent;
  background-color: transparent;
  outline: 0;
  border: 0;
  margin: 0;
  border-radius: 0;
  user-select: none;
  vertical-align: middle;
  appearance: none;
  text-decoration: none;
  color: inherit;
  display: flex;
  transition: min-height 150ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, background-color 150ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

.collapse-label {
  display: flex;
  -webkit-box-flex: 1;
  flex-grow: 1;
  margin: 4px 0;
}

.collapse-label > h3 {
  margin: 2px 0;
}

.collapse-arrow {
  overflow: hidden;
  width: 10px;
  height: 10px;
  display: inline-block;
  flex-shrink: 0;
}

.class-search-button-container {
  display: none;
}

#classschedule-search-info .class-search-button-container {
  display: block;
}

.transparent-button {
  background-color: transparent;
  background-repeat: no-repeat;
  border: none;
  cursor: pointer;
  overflow: hidden;
  outline: none;
  width: auto;
  height: auto;
}

@media only screen and (min-width: 768px) {
  #dataTable.table-collapse-column.class-search > thead > tr > th {
    padding-right: 20px;
  }
}

@media only screen and (max-width: 767px) {
  .pagination-legend {
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    width: 105%;
    gap: 8px;
  }

  .dt-info,
  .dt-length {
    float: none;
    margin-left: 0;
  }

  .pagination-legend label {
    padding-left: 0;
  }

  .pagination-legend  nav > * {
    margin: 0
  }

  .full-width-sm-down {
    width: 100%
  }

  .dt-info {
    font-size: 12px;
  }

  .classschedule-search-info {
    background-color: #D9EDF7;
    border: 1px solid #9ACFEA;
    border-radius: 10px;
  }

  .class-search-collapse {
    transition: max-height .2s linear;
  }

  .class-search-collapse.present {
    max-height: 200px;
    overflow: visible;
    visibility: visible;
  }

  .class-search-collapse.invisible {
    max-height: 0;
    overflow: hidden;
    visibility: hidden;
  }

  #main .classschedule-search-info.col-md-12 {
    padding: 10px 14px 12px;
    margin: 0 -14px;
  }

  #main .detail-container .col-md-1,
  #main .detail-container .col-md-2,
  #main .detail-container .col-md-3,
  #main .detail-container .col-md-4,
  #main .detail-container .col-md-5,
  #main .detail-container .col-md-6,
  #main .detail-container .col-md-7,
  #main .detail-container .col-md-8,
  #main .detail-container .col-md-9,
  #main .detail-container .col-md-10,
  #main .detail-container .col-md-11,
  #main .detail-container .col-md-12
  {
    padding-left: 0;
  }

  #main .detail-container {
    margin-left: 0;
    margin-right: 0;
  }

  #dataTable.table-collapse-column.class-search tr:not(:last-child) {
    margin-bottom: 0;
    border-bottom: 0;
  }

  #dataTable.table-collapse-column.class-search tr {
    border-top: 1px solid #707070;
    padding: 10px 2px;
  }

  #dataTable.table-collapse-column.class-search tr:last-child {
    border-bottom: 1px solid #707070;
  }

  #dataTable.class-search td,
  #dataTable.class-search th {
    border-top: 0;
  }

  #main #dataTable.class-search td:not(.dt-empty):last-child {
    text-align: left;
  }

  #main table.dataTable td.dt-empty {
    text-align: center;
  }

  #dataTable_wrapper label {
    width: 100%;
  }

  #dataTable_wrapper label input.form-control {
    display: inline-block;
    margin-left: 5px;
    width: calc(100% - 43px);
  }

  #dt-search {
    margin-left: 0;
  }

  #dataTable tr td:nth-child(2),
  #dataTable tr td:nth-child(3),
  #dataTable tr td:nth-child(4),
  #dataTable tr td:nth-child(5),
  #dataTable tr td:nth-child(6),
  #dataTable tr td:nth-child(11) {
    display: none;
  }

  .class-search-list > li {
    display: block;
  }

  .table-striped > tbody > tr:nth-of-type(odd) {
    background-color: transparent;
  }

  .table > thead > tr > th,
  .table > tbody > tr > th,
  .table > tfoot > tr > th,
  .table > thead > tr > td,
  .table > tbody > tr > td,
  .table > tfoot > tr > td {
    padding: 0;
    line-height: 1.42857143;
    vertical-align: top;
    border-top: 0;
  }
}